io.vertx.rxjava3.openapi.contract

## Class Parameter

- java.lang.Object
- - io.vertx.rxjava3.openapi.contract.Parameter

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class Parameter
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  This interface represents the most important attributes of an OpenAPI Parameter.
  Parameter V3.1
  Parameter V3.0

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Parameter>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parameter(Object delegate)`
    `Parameter(Parameter delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Parameter` | `getDelegate()`
    `Location` | `getIn()`
    `String` | `getName()`
    `JsonSchema` | `getSchema()`
    `SchemaType` | `getSchemaType()`
    `Style` | `getStyle()`
    `int` | `hashCode()`
    `boolean` | `isExplode()`
    `boolean` | `isRequired()`
    `static Parameter` | `newInstance(Parameter arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Parameter> __TYPE_ARG

  - ### Constructor Detail

    - #### Parameter

          public Parameter(Parameter delegate)

    - #### Parameter

          public Parameter(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Parameter getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### getName

          public String getName()

      Returns:
        name of this parameter

    - #### getIn

          public Location getIn()

      Returns:
        location of this parameter

    - #### isRequired

          public boolean isRequired()

      Returns:
        true if the parameter is required, otherwise false;

    - #### getStyle

          public Style getStyle()

      Returns:
        style of this parameter

    - #### isExplode

          public boolean isExplode()

      Returns:
        true if the parameter should become exploded, otherwise false;

    - #### getSchema

          public JsonSchema getSchema()

      Returns:
        the of the parameter

    - #### getSchemaType

          public SchemaType getSchemaType()

      Returns:
        the of the parameter

    - #### newInstance

          public static Parameter newInstance(Parameter arg)

Copyright © 2025 Eclipse. All rights reserved.